#include "mainwindow.h"
#include "ui_mainwindow.h"

#include <QKeyEvent>
#include <QKeySequence>

MainWindow::MainWindow(QWidget *parent) :
	QMainWindow(parent),
	ui(new Ui::MainWindow)
{
	ui->setupUi(this);
}

MainWindow::~MainWindow()
{
	delete ui;
}

void MainWindow::keyPressEvent ( QKeyEvent * e) {
	QString key = QKeySequence(e->key()).toString(QKeySequence::NativeText);
	ui->label->setText(QString("%1 pressed").arg(key));
}
void MainWindow::keyReleaseEvent ( QKeyEvent * e) {
	QString key = QKeySequence(e->key()).toString(QKeySequence::NativeText);
	ui->label->setText(QString("%1 released").arg(key));
}
